umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros | Functions | Variables
import_utils.cpp File Reference
`#include "import_utils.h"`
`#include "association.h"`
`#include "artifact.h"`
`#include "classifier.h"`
`#include "datatype.h"`
`#include "debug_utils.h"`
`#include "folder.h"`
`#include "enum.h"`
`#include "object_factory.h"`
`#include "operation.h"`
`#include "package.h"`
`#include "template.h"`
`#include "uml.h"`
`#include "umldoc.h"`
`#include "umllistview.h"`
`#include "umlobject.h"`
`#include <KMessageBox>`
`#include <KLocalizedString>`
`#include <QtGlobal>`

## Namespaces
namespace | Import_Utils

## Macros
#define | DBG_SRC QStringLiteral("Import_Utils")
#define | PATH_SEPARATOR QLatin1Char(':')

## Functions
void | Import_Utils::putAtGlobalScope (bool yesno)
void | Import_Utils::setRelatedClassifier (UMLClassifier *c)
void | Import_Utils::assignUniqueIdOnCreation (bool yesno)
bool | Import_Utils::newUMLObjectWasCreated ()
QString | Import_Utils::formatComment (const QString &comment)
void | Import_Utils::checkStdString (QString &typeName)
UMLObject * | Import_Utils::createUMLObject (UMLObject::ObjectType type, const QString &inName, UMLPackage *parentPkg, const QString &comment, const QString &stereotype, bool searchInParentPackageOnly, bool remapParent)
UMLObject * | Import_Utils::createUMLObjectHierarchy (UMLObject::ObjectType type, const QString &name, UMLPackage *topLevelParent)
UMLOperation * | Import_Utils::makeOperation (UMLClassifier *parent, const QString &name)
UMLAttribute * | Import_Utils::insertAttribute (UMLClassifier *owner, Uml::Visibility::Enum scope, const QString &name, UMLClassifier *attrType, const QString &comment, bool isStatic)
UMLAttribute * | Import_Utils::insertAttribute (UMLClassifier *owner, Uml::Visibility::Enum scope, const QString &name, const QString &type, const QString &comment, bool isStatic)
void | Import_Utils::insertMethod (UMLClassifier *klass, UMLOperation *&op, Uml::Visibility::Enum scope, const QString &type, bool isStatic, bool isAbstract, bool isFriend, bool isConstructor, bool isDestructor, const QString &comment)
UMLAttribute * | Import_Utils::addMethodParameter (UMLOperation *method, const QString &type, const QString &name)
void | Import_Utils::addEnumLiteral (UMLEnum *enumType, const QString &literal, const QString &comment, const QString &value)
UMLAssociation * | Import_Utils::createGeneralization (UMLClassifier *child, UMLClassifier *parent)
UMLFolder * | Import_Utils::createSubDir (const QString &name, UMLFolder *parentPkg, const QString &comment)
UMLObject * | Import_Utils::createArtifactFolder (const QString &name, UMLPackage *parentPkg, const QString &comment)
UMLObject * | Import_Utils::createArtifact (const QString &name, UMLFolder *parentPkg, const QString &comment)
void | Import_Utils::createGeneralization (UMLClassifier *child, const QString &parentName)
UMLEnum * | Import_Utils::remapUMLEnum (UMLObject *ns, UMLPackage *currentScope)
QStringList | Import_Utils::includePathList ()
void | Import_Utils::addIncludePath (const QString &path)
bool | Import_Utils::isDatatype (const QString &name, UMLPackage *parentPkg)
UMLPackage * | Import_Utils::globalScope ()

## Variables
bool | Import_Utils::bNewUMLObjectWasCreated = false
UMLClassifier * | Import_Utils::gRelatedClassifier = 0
bool | Import_Utils::bPutAtGlobalScope = false
QStringList | Import_Utils::incPathList

## Macro Definition Documentation

## ◆ DBG_SRC

#define DBG_SRC QStringLiteral("Import_Utils")

## ◆ PATH_SEPARATOR

#define PATH_SEPARATOR QLatin1Char(':')